Subject: Re: bug#6956: 24.0.50; pasting mouse selection in other session pastes only first word

From: Eli Zaretskii <[email-masked]>
Date: Mon, 20 Sep 2010 22:52:25 +0200

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>
> Date: Mon, 20 Sep 2010 13:43:35 -0700
> 
> However, `mouse-drag-copy-region' also copies the region to the kill
> ring.

Yes, this is because Emacs now copies to the clipboard only text that
is copied to the kill ring.

> What's needed is here is the ability to mouse-select in one Emacs session and
> paste to another Emacs session, even if they are in different Emacs versions.
> That needs to be possible (and it should also be the default behavior BTW)
> without users also needing to pollute their kill ring with the selection.

Was this possible in Emacs 23?  If so, how?

When I double-click mouse-1 in Emacs 23 to select a word, I can then
yank that word with C-y, and `(car kill-ring)' evaluates to that
word.  So I'm quite sure mouse-drag-copy-region non-nil does the same
as what you had in Emacs 23 and older.

> The bug is still a bug, I'm afraid.

No, it's a different bug.  This one was filed against my promise that
mouse-drag-copy-region will get you back the ability to get back the
behavior of Emacs 23 on Windows when you select text by
double-clicking mouse-1.  This now works exactly as it did in Emacs 23
(AFAICS), so any further complaints about mouse selections should be
in a separate bug.